ROS Resources: Documentation | Support | Discussion Forum | Index | Service Status | ros @ Robotics Stack Exchange
Ask Your Question
0

Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)). While installing ROS noetic on Ubuntu 22.04

asked 2022-08-28 13:09:19 -0500

MALICE gravatar image

Hi,

I'm new to ROS and an trying to install ROS Noetic on Ubuntu 22.04 following the http://wiki.ros.org/noetic/Installati... guide. However, on the "Setting up your keys" step, I'm getting the following error:

Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).

Despite this being a warning I'm unable to proceed as if I do, in the next step it throws an error relating to the keys not being configured properly.

Any help would be really appreciated, TIA.

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2022-09-02 20:14:31 -0500

Mike Scheutzow gravatar image

updated 2022-09-02 20:31:27 -0500

The command in the tutorial works fine (despite the warning), and is most likely not your problem.

Your problem is that you are using Ubuntu 22, but ros noetic is integrated with ubuntu 20.

edit flag offensive delete link more

Comments

Hi, I am using Ubuntu 20.04, and facing the same issue. I am beginner, Please help me out.

Yasir12110094 gravatar image Yasir12110094  ( 2023-01-17 00:32:33 -0500 )edit
0

answered 2023-02-13 02:40:24 -0500

I'm facing the same problem

edit flag offensive delete link more

Comments

Please create a new question. In the description, tell us what website tutorial you are following to install ros, what OS you are using, and also tell us the exact error message.

Mike Scheutzow gravatar image Mike Scheutzow  ( 2023-02-14 06:53:10 -0500 )edit

Question Tools

1 follower

Stats

Asked: 2022-08-28 13:09:19 -0500

Seen: 602 times

Last updated: Sep 02 '22